/*
 * lab1.c
 */

#include "lcd.h"
#include "usart.h"
#include "dht22.h"

#include <avr/io.h>
#include <util/delay.h>
#include <stdlib.h>

#define DHT_PIN PB3

struct dht22 d;

int main()
{	
    USART0_init();
    LCD_init();
	dht_init(&d, DHT_PIN);
	char text[20];
	
	float temp = 100;
	float hum = 100;
	
	int8_t pos = 0;
	
	for(;;) {
		dht_read_data(&d, &temp, &hum);
		
		itoa(temp, text, 10);
		LCD_printAt(0, "Temp:");
		LCD_printAt(6, text);
		
		if(pos + (sizeof(itoa(temp, text, 10)) - 1) > 16)
                pos = 16 - (sizeof(itoa(temp, text, 10)) - 1);

		itoa(hum, text, 10);
		LCD_printAt(9, "Hum:");
		LCD_printAt(14, text);
		_delay_ms(100);
	}

    return 0;
}

